#!/usr/bin/python
# -*- coding: utf-8 -*-

##
# Pywin32 installer for CIRCLE client application
##

import os, sys, subprocess
from nx_client_installer import DecideArchitecture

##
# Main program
#   Install Pywin32 to the computer   
#
def main():
    if sys.hexversion < 0x02060000:
        print "Not a 2.6+ version Python is running, commencing update"
        subprocess.Popen(os.path.dirname(os.path.realpath(__file__))+"\\no_root_install.bat")
        sys.exit(1)
    else:
        pywin32_version = str(219)
        if sys.hexversion < 0x02070000:
            if DecideArchitecture.Is64Windows():
                subprocess.Popen(os.path.dirname(os.path.realpath(__file__))+"\\x64\\pywin32-"+pywin32_version+".win-amd64-py2.6.exe").wait()
            else:
                subprocess.Popen(os.path.dirname(os.path.realpath(__file__))+"\\x86\\pywin32-"+pywin32_version+".win32-py2.6.exe").wait()
        elif sys.hexversion < 0x02080000:
            if DecideArchitecture.Is64Windows():
                subprocess.Popen(os.path.dirname(os.path.realpath(__file__))+"\\x64\\pywin32-"+pywin32_version+".win-amd64-py2.7.exe").wait()
            else:
                subprocess.Popen(os.path.dirname(os.path.realpath(__file__))+"\\x86\\pywin32-"+pywin32_version+".win32-py2.7.exe").wait()
        else:
            print "Unsupported Python version is found!"
if __name__ == "__main__":
    main()